/*
 * This stored procedure exists in the PROXY database and will be 
 * called via the upload_update event in the MobiLink server.
 *
 * This is done by creating a Remote Procedure Call (RPC) in the 
 * consolidated database.
 *
 */
CREATE PROCEDURE sp_Customer_update(
     IN @first_name varchar(30)
    ,IN @last_name varchar(30)
    ,IN @last_modified timestamp
    ,IN @cust_id integer
)
BEGIN
    UPDATE Customer
       SET first_name = @first_name,
           last_name = @last_name
     WHERE cust_id = @cust_id;
END;


-- db_ext:dsnname=cons,type=ASA
