-- VERSION 1.0 SCRIPTS
CALL ml_add_table_script( 'v1.0', 'customer', 'download_cursor', '
    SELECT cust_id, first_name, last_name, last_modified
      FROM customer
     WHERE last_modified >= ?
' );

CALL ml_add_table_script( 'v1.0', 'customer', 'upload_insert', '
    INSERT INTO customer( cust_id, first_name, last_name, last_modified )
    VALUES( ?, ?, ?, ? )
' );

CALL ml_add_table_script( 'v1.0', 'customer', 'upload_update', '
    CALL sp_rpc_customer_update( ?, ?, ?, ? )
' );

CALL ml_add_table_script( 'v1.0', 'customer', 'upload_delete', '
        DELETE FROM customer
         WHERE cust_id = ?
' );


COMMIT;

-- db_ext:dsnname=cons,type=ASA

