/* 
 * The customer table stores all customers.
 * Every remote database will download all customers.
 *
 * This table will be created in the PROXY database and
 * the REMOTE database.
 */
CREATE TABLE customer
(
	cust_id      	        integer NOT NULL DEFAULT autoincrement,
	first_name     		varchar(30) NOT NULL,
	last_name            	varchar(30) NOT NULL,
	last_modified  		timestamp NULL DEFAULT timestamp,
	PRIMARY KEY( cust_id )
);

